#
# spec file for package compat-reuters (Version 1.0)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind9-utils bison cpio cpp cyrus-sasl db devs diffutils e2fsprogs file filesystem fileutils fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip kbd less libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail sh-utils shadow strace syslogd sysvinit tar texinfo textutils timezone unitedlinux-release unzip util-linux vim zlib-devel autoconf automake binutils bzip2 cracklib gcc gdbm gettext libtool perl rpm zlib

Name:         compat-reuters
%define STDC_VERSION 2.10.0
%define DATE 20000731
%define gcc_version 2.96
%define gcc_release 128
ExclusiveArch: %{ix86} ia64 sparc ppc
%define debug_package %{nil}
%define _unpackaged_files_terminate_build 0
%define OPT /opt/SuSE
%define _prefix %{OPT}/run-reuters
%define _libdir %{_prefix}/%{_lib}
Summary:      Runtime environment for Reuters RMDS
Version:      1.0
Release:      1
License:      GPL
Group:        Development/Languages
Source0:      gcc-%{gcc_version}-%{DATE}.tar.bz2
Source1:      egcs-libstdc++-compat.tar.bz2
Source2:      libgcj-2.96.tar.bz2
Patch4:       gcc-c++-typedef.patch
Patch5:       gcc-no-warn-trigraphs.patch
Patch6:       gcc-incomplete-struct.patch
Patch8:       gcc-libstdc++-v3-wnoerror.patch
Patch9:       gcc-string-crash.patch
Patch10:      gcc-sparc64-subreg-byte.patch
Patch11:      gcc-sparc64-reload.patch
Patch12:      gcc-sparc64-startfile.patch
Patch13:      gcc-sparc64-decloffset.patch
Patch14:      gcc-sparc64-uname.patch
Patch15:      gcc-sparc32-vaarg.patch
Patch16:      gcc-sparc64-hwint.patch
Patch18:      gcc-java-jword.patch
Patch19:      gcc-align-memcpy.patch
Patch20:      gcc-sparcv9-hack.patch
Patch21:      gcc-stmtexpr.patch
Patch22:      gcc-sparc32-hack.patch
Patch23:      gcc-sparc32-hack2.patch
Patch25:      gcc-clear-hack.patch
Patch28:      gcc-loop.patch
Patch29:      gcc-alpha-addressof.patch
Patch31:      gcc-regmove-asm.patch
Patch33:      gcc-cpplib.patch
Patch35:      gcc-cpp0.patch
Patch36:      gcc-canon-cond.patch
Patch37:      gcc-bogus-subreg.patch
Patch38:      gcc-cp-ii.patch
Patch39:      gcc-subreg-gcse.patch
Patch40:      gcc-subregbyte-gcse.patch
Patch41:      gcc-combine-comparison.patch
Patch42:      gcc-loop-noopt.patch
Patch43:      gcc-loop-unroll.patch
Patch44:      gcc-loop-test1.patch
Patch45:      gcc-loop-test2.patch
Patch46:      gcc-loop-scanloop.patch
Patch48:      gcc-i386-ashlsilea.patch
Patch49:      gcc-i386-lea.patch
Patch50:      gcc-lowpart-test.patch
Patch51:      gcc-loop-noopt2.patch
Patch52:      gcc-i386-sibcall.patch
Patch53:      gcc-cpp-warn.patch
Patch54:      gcc-wint_t.patch
Patch55:      gcc-format-checking.patch
Patch56:      gcc-strftime.patch
Patch57:      gcc-xopen.patch
Patch58:      gcc-c99.patch
Patch59:      gcc-iso-not-ansi.patch
Patch60:      gcc-sibcall.patch
Patch61:      gcc-Os-testcase.patch
Patch62:      gcc-java-misc.patch
Patch63:      gcc-java-bytecode.patch
Patch64:      gcc-java-pg.patch
Patch65:      gcc-commutative.patch
Patch66:      gcc-relational.patch
Patch67:      gcc-f-include.patch
Patch68:      gcc-unroll.patch
Patch69:      gcc-i386-strops.patch
Patch70:      gcc-simplify-relational.patch
Patch71:      gcc-alias.patch
Patch72:      gcc-jsm1.patch
Patch73:      gcc-jsm2.patch
Patch74:      gcc-jsm3.patch
Patch75:      gcc-scanf.patch
Patch76:      gcc-jsm4.patch
Patch77:      gcc-jsm5.patch
Patch78:      gcc-jsm6.patch
Patch79:      gcc-jsm7.patch
Patch80:      gcc-jsm8.patch
Patch81:      gcc-loop-hack.patch
Patch82:      gcc-cpp-warnpaste.patch
Patch83:      gcc-float-condmove.patch
Patch84:      gcc-i386-call.patch
Patch85:      gcc-i386-call2.patch
Patch86:      gcc-i386-call-test.patch
Patch87:      gcc-i386-arith.patch
Patch88:      gcc-i386-ge_geu.patch
Patch89:      gcc-i386-gotoff.patch
Patch90:      gcc-java-catchup.patch
Patch91:      gcc-java-no-super-layout.patch
Patch92:      gcc-make-extraction.patch
Patch93:      gcc-segv1.patch
Patch94:      gcc-segv2.patch
Patch95:      gcc-sparc-copy-leaf-remappable.patch
Patch96:      gcc-wchar-const.patch
Patch97:      gcc-libio.patch
Patch98:      gcc-alpha-tune.patch
Patch99:      gcc-alpha-unaligned.patch
Patch100:     gcc-cpp-warnpaste2.patch
Patch101:     gcc-loop-giv.patch
Patch102:     gcc-real-value.patch
Patch103:     gcc-sparc-const-pool.patch
Patch104:     gcc-sparc64-timode.patch
Patch105:     gcc-callersave-segv.patch
Patch106:     gcc-libio-printf_fp.patch
Patch107:     gcc-pt-enum.patch
Patch108:     gcc-sparc-pic.patch
Patch109:     gcc-subreg-byte-expmed.patch
Patch110:     gcc-test-991206-1.patch
Patch111:     gcc-alpha-mi-thunk.patch
Patch112:     gcc-c++-pmf.patch
Patch113:     gcc-f77-fdebug.patch
Patch114:     gcc-libio-endl.patch
Patch115:     gcc-i386-compare-test.patch
Patch116:     gcc-sparc-may-trap.patch
Patch117:     gcc-sparc-mi-thunk.patch
Patch118:     gcc-c++-inline16-test.patch
Patch119:     gcc-c++-named-return-value.patch
Patch120:     gcc-c++-walk-tree.patch
Patch121:     gcc-i386-reload-test.patch
Patch122:     gcc-i386-reload.patch
Patch123:     gcc-sibcall-unchanging.patch
Patch124:     gcc-segv3.patch
Patch125:     gcc-c++-crash24.patch
Patch126:     gcc-do-store-flag.patch
Patch127:     gcc-i386-address-cost.patch
Patch128:     gcc-i386-arith2.patch
Patch129:     gcc-i386-constraint-N.patch
Patch130:     gcc-incomplete-aggregate-alias.patch
Patch131:     gcc-sibcall-eh2.patch
Patch132:     gcc-cpp-assert-crash.patch
Patch133:     gcc-c++-undefined-method.patch
Patch134:     gcc-sparc-4096.patch
Patch135:     gcc-sparc64-reload-test.patch
Patch136:     gcc-sparc64-reload2.patch
Patch137:     gcc-subreg-byte-operand-subword.patch
Patch139:     gcc-c++-static-class.patch
Patch140:     gcc-c++-testset1.patch
Patch141:     gcc-c++-testset2.patch
Patch142:     gcc-place-field.patch
Patch143:     gcc-sparc-output-formatting.patch
Patch144:     gcc-sparc64-mi-thunk.patch
Patch145:     gcc-sparc64-namedret.patch
Patch146:     gcc-sparc64-nested-fn.patch
Patch147:     gcc-c++-ice.patch
Patch148:     gcc-alpha-fold-const.patch
Patch149:     gcc-alpha-recog.patch
Patch150:     gcc-c++-pointer-to-member-test.patch
Patch151:     gcc-c++-sizetype.patch
Patch152:     gcc-cpp-64k.patch
Patch153:     gcc-cpp-empty-header.patch
Patch154:     gcc-i386-regelim.patch
Patch155:     gcc-sparc-builtin-setjmp.patch
Patch156:     gcc-test-loop-7.patch
Patch157:     gcc-c++-dump-expr.patch
Patch158:     gcc-c++-inline-cmp.patch
Patch159:     gcc-c++-inline-return.patch
Patch160:     gcc-c++-label-scope.patch
Patch161:     gcc-c++-ptm.patch
Patch162:     gcc-c++-qual-error.patch
Patch163:     gcc-const-fold.patch
Patch164:     gcc-cpp-error-directive.patch
Patch165:     gcc-i386-truncxfsf.patch
Patch166:     gcc-integrate-clobber.patch
Patch167:     gcc-libf2c-mkstemp.patch
Patch168:     gcc-local-alloc.patch
Patch169:     gcc-loop-hoistmem.patch
Patch170:     gcc-sibcall-const.patch
Patch171:     gcc-sibcall-emit-queue.patch
Patch172:     gcc-unroll-iterations.patch
Patch173:     gcc-volatile-local-var.patch
Patch174:     gcc-c++-sizetype2.patch
Patch175:     gcc-error-diagnostic.patch
Patch176:     gcc-aggregate-mode.patch
Patch177:     gcc-c++-addressof.patch
Patch178:     gcc-aggregate-mode2.patch
Patch179:     gcc-c++-addressof2.patch
Patch180:     gcc-c++-inline-cmp2.patch
Patch181:     gcc-cpp-fno-operator-names.patch
Patch182:     gcc-c++-ggc-input.patch
Patch183:     gcc-alpha-unaligned2.patch
Patch184:     gcc-alpha-ze_and_ne.patch
Patch185:     gcc-c++-wchar_t.patch
Patch186:     gcc-cpp-arg-loop.patch
Patch187:     gcc-cpp-fno-operator-names2.patch
Patch188:     gcc-cpp-g3.patch
Patch189:     gcc-fshort-wchar.patch
Patch190:     gcc-max-strlen.patch
Patch191:     gcc-stabs.patch
Patch192:     gcc-subreg-byte-gcse2.patch
Patch193:     gcc-tradcpp-MD.patch
Patch194:     gcc-alpha-expand-block-move.patch
Patch195:     gcc-c++-decl-needed.patch
Patch196:     gcc-c++-nomods_initdcl0.patch
Patch197:     gcc-cpp-MD.patch
Patch198:     gcc-fixup-var-refs.patch
Patch199:     gcc-frame-related.patch
Patch200:     gcc-i386-cmpqi.patch
Patch201:     gcc-i386-const-call-address.patch
Patch202:     gcc-i386-fcmov.patch
Patch203:     gcc-i386-sar.patch
Patch204:     gcc-c++-extern-c.patch
Patch205:     gcc-c++-inline-static.patch
Patch206:     gcc-c++-inline-static2.patch
Patch207:     gcc-cpp-M-include.patch
Patch208:     gcc-integrate-compare.patch
Source209:    gcc-cpp-20010126.tar.bz2
Patch209:     gcc-cpp-20010126.patch
Patch210:     gcc-objc-cpp-lineno.patch
Patch211:     gcc-cpp-paste-avoid.patch
Patch212:     gcc-cpp-paste-avoid2.patch
Patch213:     gcc-c++-inline-modify_expr.patch
Patch214:     gcc-i386-testqi_1.patch
Patch215:     gcc-c++-anon-union.patch
Patch216:     gcc-extract_bit_field.patch
Patch217:     gcc-c++-overload-warn.patch
Patch218:     gcc-cpp-implicit-extern-c.patch
Patch219:     gcc-cpp-paste-avoid3.patch
Patch220:     gcc-packed-enum-bitfield.patch
Patch221:     gcc-variable-size.patch
# ia64 jumbo patch
Patch222:     gcc-ia64.patch.bz2
Patch223:     gcc-ia64-errata.patch
Patch224:     gcc-cpp-defined-diag.patch
Patch225:     gcc-cpp-paste-avoid4.patch
Patch226:     gcc-dwarf2out-ice.patch
Patch227:     gcc-g++.jason-2371.patch
Patch228:     gcc-lex-line.patch
Patch229:     gcc-alpha-unaligned3.patch
Patch230:     gcc-consistency-test.patch
Source230:    gcc-consistency-test.tar.bz2
Patch231:     gcc-nested-parm.patch
Patch232:     gcc-alpha-reload.patch
Patch233:     gcc-alpha-shift.patch
Patch234:     gcc-c++-init-copy-aggr.patch
Patch235:     gcc-c++-inline-loop.patch
Patch236:     gcc-c++-lookup.patch
Patch237:     gcc-c++-taking-address-error.patch
Patch238:     gcc-objc-gc.patch
Patch239:     gcc-objc-test.patch
Patch240:     gcc-reload-hardreg-free.patch
Patch241:     gcc-cpp-20010222.patch
Patch242:     gcc-expr-safety.patch
Patch243:     gcc-debug-static-local.patch
Patch244:     gcc-fixup-var-refs2.patch
Patch245:     gcc-fold-const-div.patch
Patch246:     gcc-g77-unused.patch
Patch247:     gcc-ia64-flushrs.patch
Patch248:     gcc-ia64-syscall-linkage.patch
Patch249:     gcc-recog-addressof.patch
Patch250:     gcc-cpp-20010309.patch
Patch251:     gcc-cant-combine.patch
Patch252:     gcc-i386-crtendS.patch
Patch253:     gcc-reg-stack-clobber.patch
Patch254:     gcc-reg-stack.patch
Patch255:     gcc-store-expr.patch
Patch256:     gcc-target-expr.patch
Patch257:     gcc-c++-anonaggr-copy.patch
Patch258:     gcc-c++-asmspec.patch
Patch259:     gcc-c++-static-local.patch
Patch260:     gcc-f77-line.patch
Patch261:     gcc-libstdc++-getline.patch
Patch262:     gcc-no-new-abi.patch
Patch263:     gcc-regrename.patch
Patch264:     gcc-subreg-byte-gcse3.patch
Patch265:     gcc-wshadow-doc.patch
Patch266:     gcc-c++-D__EXCEPTIONS.patch
Patch267:     gcc-c++-throttle-inline.patch
Patch268:     gcc-fold-pointer-cmp.patch
Patch269:     gcc-ifcvt-strict-low-part.patch
Patch270:     gcc-gcse-reg-equiv.patch
Patch271:     gcc-null-pointer-check.patch
Patch272:     gcc-local-inline.patch
Patch273:     gcc-cpp-Wcomment.patch
Patch274:     gcc-cselib-mode.patch
Patch275:     gcc-dwarf2-O0-crash.patch
Patch276:     gcc-dwarf2out-splice-child.patch
Patch277:     gcc-i386-movcc.patch
Patch278:     gcc-ia64-xdata.patch
Patch279:     gcc-subregbyte-hard-regno.patch
Patch280:     gcc-tradtradcpp0.patch
Patch281:     gcc-flow-autoinc.patch
Patch282:     gcc-ia64-constconst.patch
Patch283:     gcc-ia64-G.patch
Patch284:     gcc-integrate-error.patch
Patch285:     gcc-MD-nodot.patch
Patch286:     gcc-store-constructor-field.patch
Patch287:     gcc-ia64-except.patch
Patch288:     gcc-ia64-loc79.patch
Patch289:     gcc-ia64-bstep.patch
Patch290:     gcc-c++-templ-arg.patch
Patch291:     gcc-frame-state-for-compat.patch
Patch292:     gcc-sibcall-catch.patch
Patch293:     gcc-tradcpp-define.patch
Patch294:     gcc-c++-inline-method.patch
Patch295:     gcc-gcse-trapping.patch
Patch296:     gcc-nested-expr-stmt.patch
Patch297:     gcc-__NO_INLINE__.patch
Patch298:     gcc-bogus-inline.patch
Patch299:     gcc-c++-defarg.patch
Patch300:     gcc-c++-instantiate.patch
Patch301:     gcc-c++-static-ctordtor.patch
Patch302:     gcc-c++-templ-arg2.patch
Patch303:     gcc-c++-ucs.patch
Patch304:     gcc-fsyntax-only.patch
Patch305:     gcc-g77-unsigned-char.patch
Patch306:     gcc-hash-ident.patch
Patch307:     gcc-jump-threading.patch
Patch308:     gcc-regmove-unchanging.patch
Patch309:     gcc-ia64-complex-float.patch
Patch310:     gcc-ia64-movcc-fail.patch
Patch311:     gcc-ia64-stop-bit.patch
Patch312:     gcc-c++-friend.patch
Patch313:     gcc-i386-stack-adjust.patch
Patch314:     gcc-SHF_MERGE.patch
Patch315:     gcc-dwarf2-filenames.patch
Patch316:     gcc-k6-loop.patch
Patch317:     gcc-libobjc-3.0.patch
Patch318:     gcc-texinfo-texconfig.patch
Patch319:     gcc-c++-complext.patch
Patch320:     gcc-c++-conv-cv-ptr.patch
Patch321:     gcc-c++-sstream-warn.patch
Patch322:     gcc-f77-ffixed.patch
Patch323:     gcc-invalid-stabs.patch
Patch324:     gcc-libio-test.patch
Patch325:     gcc-alpha-function-sections.patch
Patch326:     gcc-alpha-vtable-gc.patch
Patch327:     gcc-c++-anontypename.patch
Patch328:     gcc-c++-array-cast.patch
Patch329:     gcc-c++-colonequal.patch
Patch330:     gcc-c++-cond-ovl.patch
Patch331:     gcc-c++-weak-address.patch
Patch332:     gcc-libio-input-float.patch
Patch333:     gcc-subreg-byte-stabs.patch
Patch334:     gcc-c++-array-side-effects.patch
Patch335:     gcc-cpp-memleak.patch
Patch336:     gcc-c++-template-throw.patch
Patch337:     gcc-c++-tsubst-friend-class.patch
Patch338:     gcc-dwarf2-debug-line.patch
Patch339:     gcc-ifcvt-eh.patch
Patch340:     gcc-ia64-vararg.patch
Patch341:     gcc-gcse-hoist.patch
Patch342:     gcc-ia64-eh.patch
Patch343:     gcc-libio-stdstream-offset.patch
Patch344:     gcc-objc-class-ref.patch
Patch345:     gcc-tail-recurse.patch
Patch346:     gcc-c++-sstream-seek.patch
Patch347:     gcc-loop-combine-givs.patch
Patch348:     gcc-alpha-asm-input.patch
Patch349:     gcc-c++-anon-union2.patch
Patch350:     gcc-c++-inline-sizeof-char.patch
Patch351:     gcc-cpp-run-directive.patch
Patch352:     gcc-reload-optional.patch
Patch353:     gcc-fde-merge-compat.patch
Patch354:     gcc-flow-setjmp.patch
Patch355:     gcc-pure-reload.patch
Patch356:     gcc-sparc-float.patch
Patch357:     gcc-sparc-movdf.patch
Patch358:     gcc-c++-member-init.patch
Patch359:     gcc-autoconf-2.52.patch
Patch360:     gcc-makej.patch
Patch361:     gcc-ia64-bitfield-return.patch
Patch362:     gcc-ia64-NaT.patch
Patch363:     gcc-sparc-libcall.patch
Patch364:     gcc-c++-preexpand-calls.patch
Patch365:     gcc-libio-stdstreams-vptr.patch
Patch366:     gcc-sparc-return.patch
Patch367:     gcc-sparc64-nonzero-bits.patch
Patch368:     gcc-below-sp.patch
Patch369:     gcc-c++-setup-vtbl-ptr.patch
Patch370:     gcc-reload-ofp.patch
Patch371:     gcc-bitop-shorten.patch
Patch372:     gcc-c++-ptrintsum.patch
Patch373:     gcc-i386-fxch.patch
Patch374:     gcc-i386-regparm-struct.patch
Patch375:     gcc-ia64-encode-section-info.patch
Patch376:     gcc-attr-visibility.patch
Patch377:     gcc-store_field-expand_and.patch
Patch378:     gcc-c++-array-ref.patch
Patch379:     gcc-c++-flat-initializer.patch
Patch380:     gcc-c++-static-member.patch
Patch381:     gcc-i386-reg-stack-check.patch
Patch382:     gcc-i386-zero-size.patch
Patch383:     gcc-loop-check_dbra_loop.patch
Patch384:     gcc-pedwarn-string-length.patch
Patch385:     gcc-simplify-check-overflow.patch
Patch386:     gcc-UDA-option-order.patch
Patch387:     gcc-c++-pt-using.patch
Patch388:     gcc-c++-pt-using2.patch
Patch389:     gcc-attr-visibility2.patch
Patch390:     gcc-libstdc++-libc-interface.patch
Patch391:     gcc-attr-visibility3.patch
Patch392:     gcc-ia64-thread-safe-eh.patch
Patch393:     gcc-merge_blocks_nomove.patch
Patch394:     gcc-attr-visibility4.patch
Patch395:     gcc-unaligned-const.patch
Patch396:     gcc-i386-piclabel.patch
Patch397:     gcc-2.96-parallel.patch
Patch398:     gcc-i386-andhi.patch
Patch399:     gcc-mem-scratch.patch
Patch400:     gcc-unroll2.patch
Patch401:     gcc-sparc-tfdi.patch
Patch402:     gcc-c++-gc-named-label-list.patch
Patch403:     gcc-cpp-include-dir.patch
Patch404:     gcc-c++-compound-literal.patch
Patch405:     gcc-c++-eh-spec-incomplete.patch
Patch406:     gcc-fde-merge-compat-2.patch
Patch407:     gcc-strict-alias-optimization.patch
Patch408:     gcc-cpp-MD-2.patch
Patch409:     gcc-libstdc++-wchar.patch
Patch410:     gcc-ia64-frame-leak.patch
Patch411:     gcc-libstdc++-wchar-fix.patch
Patch412:     gcc-memfn-addr.patch
Patch413:     gcc-bogus-addressof.patch
Patch414:     gcc-libstdc++-wchar-c_str.patch
Patch415:     gcc-reload-unchanging.patch
Patch416:     gcc-store-constructor.patch
Patch417:     gcc-strict-alias-optimization2.patch
Patch418:     gcc-libstdc++-thread-safety.patch
Patch419:     gcc-libstdc++-std-compare.patch
Patch420:     gcc-libstdc++-stl-alloc.patch
Patch421:     gcc-forget-old-reloads.patch
Patch450:     gcc-bison.patch
Patch500:     gcc-libg++-config.patch
Patch600:     fix-mm.diff
Patch1001:    libgcj-makej.patch
Patch1002:    libgcj-nomultilib.patch
Patch1003:    libgcj-compile.patch
Patch1004:    libgcj-awt-color.patch
Patch1005:    libgcj-sigaction.patch
Patch1006:    libgcj-boehmgc.patch
Patch1007:    libgcj-libdeps.patch
Patch1008:    libgcj-boehmgc-dyn_load.patch
Patch1009:    compat-libgcj-comp.patch
Url:          http://gcc.gnu.org
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildRequires: binutils >= 2.12.90.0.7-1
BuildRequires: zlib-devel
BuildRequires: libgcc >= 3.1
BuildRequires: gettext
%define gcc_target_platform %{_target_cpu}-suse-linux

%description
This package provides compatibility libraries (namely libstdc++)
to enable running of Reuters RMDS.  They are installed into

%{_prefix} .
%prep
%setup -q -n gcc-%{gcc_version}-%{DATE}
%patch10 -p0 -b .sparc
%patch11 -p0 -b .sparc1
%patch12 -p0 -b .sparc2
%patch13 -p0 -b .sparc3
%patch14 -p0 -b .sparc4
%patch15 -p0 -b .sparc5
%patch16 -p0 -b .sparc6
%patch18 -p0 -b .jword
%patch19 -p0 -b .memcpy
%patch20 -p0 -b .sparcv9
%patch4 -p0 -b .typedef
%patch5 -p0 -b .trigraph
%patch6 -p0 -b .incompl
%patch8 -p0 -b .wnoerror
%patch9 -p0 -b .stringcrash
%patch21 -p0 -b .stmtexpr
%ifarch sparc
#%patch22 -p0 -b .sparc32hack
if [ ! -f /usr/lib64/crt1.o ]; then
%patch23 -p0 -b .sparc32hack2
fi
%endif
#%patch25 -p0 -b .hack
%patch28 -p0 -b .loop
%patch29 -p0 -b .addressof
%patch31 -p0 -b .regmoveasm
%patch33 -p0 -b .cpplib
%patch35 -p0 -b .cpp0
%patch36 -p0 -b .canoncond
%patch37 -p0 -b .bogussubreg
%patch38 -p0 -b .cpii
%patch39 -p0 -b .subreggcse
%patch40 -p0 -b .subregbytegcse
%patch41 -p0 -b .combinecomparison
%patch42 -p0 -b .loopnoopt
%patch43 -p0 -b .loopunroll
%patch44 -p0 -b .looptest1
%patch45 -p0 -b .looptest2
%patch46 -p0 -b .loopscanloop
%patch48 -p0 -b .ashlsilea
%patch49 -p0 -b .lea
%patch50 -p0 -b .lowparttest
%patch51 -p0 -b .loopnoopt2
%patch52 -p0 -b .i386sib
%patch53 -p0 -b .cppwarn
%patch54 -p0 -b .wintt
%patch55 -p0 -b .fmtchk
%patch56 -p0 -b .strftime
%patch57 -p0 -b .xopen
%patch58 -p0 -b .c99std
%patch59 -p0 -b .iso-not-ansi
%patch60 -p0 -b .sibcall
%patch61 -p0 -b .ostest
%patch62 -p0 -b .java-misc
%patch63 -p0 -b .java-bytecode
%patch64 -p0 -b .java-pg
# These two are buggy
#%patch65 -p0 -b .cmtable
#%patch66 -p0 -b .relational
%patch67 -p0 -b .finclude
%patch68 -p0 -b .unroll
%patch69 -p0 -b .i386-strops
%patch70 -p0 -b .simplify-rela
%patch71 -p0 -b .alias
%patch72 -p0 -b .jsm1
%patch73 -p0 -b .jsm2
%patch74 -p0 -b .jsm3
%patch75 -p0 -b .scanf
%patch76 -p0 -b .jsm4
%patch77 -p0 -b .jsm5
%patch78 -p0 -b .jsm6
%patch79 -p0 -b .jsm7
%patch80 -p0 -b .jsm8
%patch81 -p0 -b .loop-hack
%patch82 -p0 -b .cpp-warnpaste
%patch83 -p0 -b .float-condmove
%patch84 -p0 -b .i386-call
%patch85 -p0 -b .i386-call2
%patch86 -p0 -b .i386-call-test
%patch87 -p0 -b .i386-arith
%patch88 -p0 -b .i386-ge_geu
%patch89 -p0 -b .i386-gotoff
%patch90 -p0 -b .java-catchup
%patch91 -p0 -b .java-no-super-layout
%patch92 -p0 -b .make-extraction
%patch93 -p0 -b .segv1
%patch94 -p0 -b .segv2
%patch95 -p0 -b .copy-leaf-remap
%patch96 -p0 -b .wchar-const
%patch97 -p0 -b .libio
%patch98 -p0 -b .alpha-tune
%patch99 -p0 -b .alpha-unaligned
%patch100 -p0 -b .cpp-warnpaste2
%patch101 -p0 -b .loop-giv
%patch102 -p0 -b .real-value
%patch103 -p0 -b .sparc-const-pool
%patch104 -p0 -b .sparc64-timode
%patch105 -p0 -b .callersave-segv
%patch106 -p0 -b .libio-printf_fp
%patch107 -p0 -b .pt-enum
%patch108 -p0 -b .sparc-pic
%patch109 -p0 -b .subreg-byte-expmed
%patch110 -p0 -b .test-991206-1
%patch111 -p0 -b .alpha-mi-thunk
%patch112 -p0 -b .c++-pmf
%patch113 -p0 -b .f77-fdebug
%patch114 -p0 -b .libio-endl
%patch115 -p0 -b .i386-compare-test
%patch116 -p0 -b .sparc-may-trap
%patch117 -p0 -b .sparc-mi-thunk
%patch118 -p0 -b .c++-inline16-test
%patch119 -p0 -b .c++-named-return-value
%patch120 -p0 -b .c++-walk-tree
%patch121 -p0 -b .i386-reload-test
%patch122 -p0 -b .i386-reload
%patch123 -p0 -b .sibcall-unchanging
%patch124 -p0 -b .segv3
%patch125 -p0 -b .c++-crash24
%patch126 -p0 -b .do-store-flag
%patch127 -p0 -b .i386-address-cost
%patch128 -p0 -b .i386-arith2
%patch129 -p0 -b .i386-constraint-N
%patch130 -p0 -b .incomplete-aggregate-alias
%patch131 -p0 -b .sibcall-eh2
%patch132 -p0 -b .cpp-assert-crash
%patch133 -p0 -b .c++-undefined-method
%patch134 -p0 -b .sparc-4096
%patch135 -p0 -b .sparc64-reload-test
%patch136 -p0 -b .sparc64-reload2
%patch137 -p0 -b .subreg-byte-operand-subword
%patch139 -p0 -b .c++-static-class
%patch140 -p0 -b .c++-testset1
%patch141 -p0 -b .c++-testset2
%patch142 -p0 -b .place-field
%patch143 -p0 -b .sparc-output-formatting
%patch144 -p0 -b .sparc64-mi-thunk
%patch145 -p0 -b .sparc64-namedret
%patch146 -p0 -b .sparc64-nested-fn
%patch147 -p0 -b .c++-ice
%patch148 -p0 -b .alpha-fold-const
%patch149 -p0 -b .alpha-recog
%patch150 -p0 -b .c++-pointer-to-member-test
%patch151 -p0 -b .c++-sizetype
%patch152 -p0 -b .cpp-64k
%patch153 -p0 -b .cpp-empty-header
%patch154 -p0 -b .i386-regelim
%patch155 -p0 -b .sparc-builtin-setjmp
%patch156 -p0 -b .test-loop-7
%patch157 -p0 -b .c++-dump-expr
%patch158 -p0 -b .c++-inline-cmp
%patch159 -p0 -b .c++-inline-return
%patch160 -p0 -b .c++-label-scope
%patch161 -p0 -b .c++-ptm
%patch162 -p0 -b .c++-qual-error
%patch163 -p0 -b .const-fold
%patch164 -p0 -b .cpp-error-directive
%patch165 -p0 -b .i386-truncxfsf
%patch166 -p0 -b .integrate-clobber
%patch167 -p0 -b .libf2c-mkstemp
%patch168 -p0 -b .local-alloc
%patch169 -p0 -b .loop-hoistmem
%patch170 -p0 -b .sibcall-const
%patch171 -p0 -b .sibcall-emit-queue
%patch172 -p0 -b .unroll-iterations
%patch173 -p0 -b .volatile-local-var
%patch174 -p0 -b .c++-sizetype2
%patch175 -p0 -b .error-diagnostic
%patch176 -p0 -b .aggregate-mode
%patch177 -p0 -b .c++-addressof
%patch178 -p0 -b .aggregate-mode2
%patch179 -p0 -b .c++-addressof2
%patch180 -p0 -b .c++-inline-cmp2.patch
%patch181 -p0 -b .cpp-fno-operator-names
%patch182 -p0 -b .c++-ggc-input
%patch183 -p0 -b .alpha-unaligned2
%patch184 -p0 -b .alpha-ze_and_ne
%patch185 -p0 -b .c++-wchar_t
%patch186 -p0 -b .cpp-arg-loop
%patch187 -p0 -b .cpp-fno-operator-names2
%patch188 -p0 -b .cpp-g3
%patch189 -p0 -b .fshort-wchar
%patch190 -p0 -b .max-strlen
%patch191 -p0 -b .stabs
%patch192 -p0 -b .subreg-byte-gcse2
%patch193 -p0 -b .tradcpp-MD
%patch194 -p0 -b .alpha-expand-block-move
%patch195 -p0 -b .c++-decl-needed
%patch196 -p0 -b .c++-nomods_initdcl0
%patch197 -p0 -b .cpp-MD
%patch198 -p0 -b .fixup-var-refs
%patch199 -p0 -b .frame-related
%patch200 -p0 -b .i386-cmpqi
%patch201 -p0 -b .i386-const-call-address
%patch202 -p0 -b .i386-fcmov
%patch203 -p0 -b .i386-sar
%patch204 -p0 -b .c++-extern-c
%patch205 -p0 -b .c++-inline-static
%patch206 -p0 -b .c++-inline-static2
%patch207 -p0 -b .cpp-M-include
%patch208 -p0 -b .integrate-compare
# Put in cpp snapshot from 20010126
rm -rf gcc/testsuite/gcc.dg/cpp
tar x --bzip2 -f %{SOURCE209}
%patch209 -p0 -b .cpp-20010126
%patch210 -p0 -b .objc-cpp-lineno
%patch211 -p0 -b .cpp-paste-avoid
%patch212 -p0 -b .cpp-paste-avoid2
# Bug fixing continues
%patch213 -p0 -b .c++-inline-modify_expr
%patch214 -p0 -b .i386-testqi_1
%patch215 -p0 -b .c++-anon-union
%patch216 -p0 -b .extract_bit_field
%patch217 -p0 -b .c++-overload-warn
%patch218 -p0 -b .cpp-implicit-extern-c
%patch219 -p0 -b .cpp-paste-avoid3
%patch220 -p0 -b .packed-enum-bitfield
%patch221 -p0 -b .variable-size
%ifarch ia64
%patch222 -p0 -b .ia64
%patch223 -p0 -b .ia64-errata
%endif
%patch224 -p0 -b .cpp-defined-diag
%patch225 -p0 -b .cpp-paste-avoid4
%patch226 -p0 -b .dwarf2out-ice
%patch227 -p0 -b .g++.jason-2371
%patch228 -p0 -b .lex-line
%patch229 -p0 -b .alpha-unaligned3
tar x --bzip2 -f %{SOURCE230}
%patch230 -p0 -b .consistency
%patch231 -p0 -b .nested-parm
%patch232 -p0 -b .alpha-reload
%patch233 -p0 -b .alpha-shift
%patch234 -p0 -b .c++-init-copy-aggr
%patch235 -p0 -b .c++-inline-loop
%patch236 -p0 -b .c++-lookup
%patch237 -p0 -b .c++-taking-address-error
%patch238 -p0 -b .objc-gc
%patch239 -p0 -b .objc-test
%patch240 -p0 -b .reload-hardreg-free
%patch241 -p0 -b .cpp-20010222
%patch242 -p0 -b .expr-safety
%patch243 -p0 -b .debug-static-local
%patch244 -p0 -b .fixup-var-refs2
%patch245 -p0 -b .fold-const-div
%patch246 -p0 -b .g77-unused
%ifarch ia64
%patch247 -p0 -b .ia64-flushrs
%patch248 -p0 -b .ia64-syscall-linkage
%endif
%patch249 -p0 -b .recog-addressof
%patch250 -p0 -b .cpp-20010309
%patch251 -p0 -b .cant-combine
%patch252 -p0 -b .i386-crtendS
%patch253 -p0 -b .reg-stack-clobber
%patch254 -p0 -b .reg-stack
%patch255 -p0 -b .store-expr
%patch256 -p0 -b .target-expr
%patch257 -p0 -b .c++-anonaggr-copy
%patch258 -p0 -b .c++-asmspec
%patch259 -p0 -b .c++-static-local
%patch260 -p0 -b .f77-line
%patch261 -p0 -b .libstdc++-getline
%patch262 -p0 -b .no-new-abi
%patch263 -p0 -b .regrename
%patch264 -p0 -b .subreg-byte-gcse3
%patch265 -p0 -b .wshadow-doc
%patch266 -p0 -b .c++-D__EXCEPTIONS
%patch267 -p0 -b .c++-throttle-inline
%patch268 -p0 -b .fold-pointer-cmp
%patch269 -p0 -b .ifcvt-strict-low-part
%patch270 -p0 -b .gcse-reg-equiv
%patch271 -p0 -b .null-pointer-check
%patch272 -p0 -b .local-inline
%patch273 -p0 -b .cpp-Wcomment
%patch274 -p0 -b .cselib-mode
%patch275 -p0 -b .dwarf2-O0-crash
%patch276 -p0 -b .dwarf2out-splice-child
%patch277 -p0 -b .i386-movcc
%patch278 -p0 -b .ia64-xdata
%patch279 -p0 -b .subregbyte-hard-regno
%patch280 -p0 -b .tradtradcpp0
%patch281 -p0 -b .flow-autoinc
%patch282 -p0 -b .ia64-constconst
%patch283 -p0 -b .ia64-G
%patch284 -p0 -b .integrate-error
%patch285 -p0 -b .MD-nodot
%patch286 -p0 -b .store-constructor-field
%ifarch ia64
%patch287 -p0 -b .ia64-expect
%patch288 -p0 -b .ia64-loc79
# Add -mb-step automatically -- this will go away when production
# hardware is available.
%patch289 -p0 -b .ia64-bstep
%endif
%patch290 -p0 -b .c++-templ-arg
%patch291 -p0 -b .frame-state-for-compat
%patch292 -p0 -b .sibcall-catch
%patch293 -p0 -b .tradcpp-define
%patch294 -p0 -b .c++-inline-method
%patch295 -p0 -b .gcse-trapping
%patch296 -p0 -b .nested-expr-stmt
%patch297 -p0 -b .__NO_INLINE__
%patch298 -p0 -b .bogus-inline
%patch299 -p0 -b .c++-defarg
%patch300 -p0 -b .c++-instantiate
%patch301 -p0 -b .c++-static-ctordtor
%patch302 -p0 -b .c++-templ-arg2
%patch303 -p0 -b .c++-ucs
%patch304 -p0 -b .fsyntax-only
%patch305 -p0 -b .g77-unsigned-char
%patch306 -p0 -b .hash-ident
#%patch307 -p0 -b .jump-threading
%patch308 -p0 -b .regmove-unchanging
%ifarch ia64
%patch309 -p0 -b .ia64-complex-float
%patch310 -p0 -b .ia64-movcc-fail
%patch311 -p0 -b .ia64-stop-bit
%endif
%patch312 -p0 -b .c++-friend
%patch313 -p0 -b .i386-stack-adjust
%patch314 -p0 -b .SHF_MERGE
%patch315 -p0 -b .dwarf2-filenames
%patch316 -p0 -b .k6-loop
%patch317 -p0 -b .libobjc-3.0
%patch318 -p0 -b .texinfo-texconfig
%patch319 -p0 -b .c++-complext
%patch320 -p0 -b .c++-conv-cv-ptr
%patch321 -p0 -b .c++-sstream-warn
%patch322 -p0 -b .f77-ffixed
%patch323 -p0 -b .invalid-stabs
%patch324 -p0 -b .libio-test
%patch325 -p0 -b .alpha-function-sections
%patch326 -p0 -b .alpha-vtable-gc
%patch327 -p0 -b .c++-anontypename
%patch328 -p0 -b .c++-array-cast
%patch329 -p0 -b .c++-colonequal
%patch330 -p0 -b .c++-cond-ovl
%patch331 -p0 -b .c++-weak-address
%patch332 -p0 -b .libio-input-float
%patch333 -p0 -b .subreg-byte-stabs
%patch334 -p0 -b .c++-array-side-effects
%patch335 -p0 -b .cpp-memleak
%patch336 -p0 -b .c++-template-throw
%patch337 -p0 -b .c++-tsubst-friend-class
%patch338 -p0 -b .dwarf2-debug-line
%patch339 -p0 -b .ifcvt-eh
%patch340 -p0 -b .ia64-vararg
%patch341 -p0 -b .gcse-hoist
%ifarch ia64
%patch342 -p0 -b .ia64-eh
%endif
%patch343 -p0 -b .libio-stdstream-offset
%patch344 -p0 -b .objc-class-ref
%patch345 -p0 -b .tail-recurse
%patch346 -p0 -b .c++-sstream-seek
%patch347 -p0 -b .loop-combine-givs
%patch348 -p0 -b .alpha-asm-input
%patch349 -p0 -b .c++-anon-union2
%patch350 -p0 -b .c++-inline-sizeof-char
%patch351 -p0 -b .cpp-run-directive
%patch352 -p0 -b .reload-optional
%patch353 -p0 -b .fde-merge-compat
%patch354 -p0 -b .flow-setjmp
%patch355 -p0 -b .pure-reload
%patch356 -p0 -b .sparc-float
%patch357 -p0 -b .sparc-movdf
%patch358 -p0 -b .c++-member-init
%patch359 -p0 -b .autoconf-2.52
%patch360 -p0 -b .makej
%ifarch ia64
%patch361 -p0 -b .ia64-bitfield-return
%patch362 -p0 -b .ia64-NaT
%endif
%ifarch sparc sparc64
%patch363 -p0 -b .sparc-libcall
%endif
#%patch364 -p0 -b .c++-preexpand-calls
%patch365 -p0 -b .libio-stdstreams-vptr
%patch366 -p0 -b .sparc-return
%patch367 -p0 -b .sparc64-nonzero-bits
%patch368 -p0 -b .below-sp
%patch369 -p0 -b .c++-setup-vtbl-ptr
%patch370 -p0 -b .reload-ofp
%patch371 -p0 -b .bitop-shorten
%patch372 -p0 -b .c++-ptrintsum
%patch373 -p0 -b .i386-fxch
%patch374 -p0 -b .i386-regparm-struct
%patch375 -p0 -b .ia64-encode-section-info
%patch376 -p0 -b .attr-visibility
%patch377 -p0 -b .store_field-expand_and
%patch378 -p0 -b .c++-array-ref
%patch379 -p0 -b .c++-flat-initializer
%patch380 -p0 -b .c++-static-member
%patch381 -p0 -b .i386-reg-stack-check
%patch382 -p0 -b .i386-zero-size
%patch383 -p0 -b .loop-check_dbra_loop
%patch384 -p0 -b .pedwarn-string-length
%patch385 -p0 -b .simplify-check-overflow
%patch386 -p0 -b .UDA-option-order
%patch387 -p0 -b .c++-pt-using
%patch388 -p0 -b .c++-pt-using2
%patch389 -p0 -b .attr-visibility2
%patch390 -p0 -b .libstdc++-libc-interface
%patch391 -p0 -b .attr-visibility3
%ifarch ia64
%patch392 -p0 -b .ia64-thread-safe-eh
%endif
%patch393 -p0 -b .merge_blocks_nomove
%patch394 -p0 -b .attr-visibility4
%ifarch ia64
%patch395 -p0 -b .unaligned-const
%endif
%patch396 -p0 -b .i386-piclabel
%patch397 -p0 -b .2.96-parallel
%patch398 -p0 -b .i386-andhi
%patch399 -p0 -b .mem-scratch
%patch400 -p0 -b .unroll2
%patch401 -p0 -b .sparc-tfdi
%patch402 -p0 -b .c++-gc-named-label-list
%patch403 -p0 -b .cpp-include-dir
%patch404 -p0 -b .c++-compound-literal
%patch405 -p0 -b .c++-eh-spec-incomplete
%patch406 -p0 -b .fde-merge-compat-2
%patch407 -p0 -b .strict-alias-optimization
%patch408 -p0 -b .cpp-MD-2
%ifarch %{ix86} alpha ia64
%patch409 -p0 -b .libstdc++-wchar
%endif
%ifarch ia64
%patch410 -p0 -b .ia64-frame-leak
%endif
%ifarch %{ix86} alpha ia64
%patch411 -p0 -b .libstdc++-wchar-fix
%endif
%patch412 -p0 -b .memfn-addr
%patch413 -p0 -b .bogus-addressof
%ifarch %{ix86} alpha ia64
%patch414 -p0 -b .libstdc++-wchar-c_str
%endif
%patch415 -p0 -b .reload-unchanging
%patch416 -p0 -b .store-constructor
%patch417 -p0 -b .strict-alias-optimization2
%patch418 -p0 -b .libstdc++-thread-safety
%ifarch %{ix86} alpha ia64
%patch419 -p0 -b .libstdc++-std-compare
%endif
%patch420 -p0 -b .libstdc++-stl-alloc
%patch421 -p0 -b .forget-old-reloads
%patch450 -p0 -b .bison~
%patch600 -p0 -b .mm
%ifnarch ia64 ppc
tar xjf %{SOURCE2}
cd libgcj
%patch1001 -p1 -b .makej
%patch1002 -p1 -b .nomulti
%patch1003 -p1 -b .compile
%patch1004 -p1 -b .awtcolor
%patch1005 -p1 -b .sigaction
%patch1006 -p0 -b .boehmgc
%patch1007 -p0 -b .libdeps
%patch1008 -p0 -b .boehmgc-dyn_load
%patch1009 -p0 -b .comp
cd ..
%endif
perl -pi -e 's/\(experimental\)/\(SuSE %{gcc_version}-%{gcc_release}\)/' gcc/version.c gcc/f/version.c
perl -pi -e 's/#define GCCBUGURL.*$/#define GCCBUGURL "<URL:http:\/\/bugzilla.novell.com\/bugzilla\/>"/' gcc/system.h
perl -pi -e 's/^ALL_CFLAGS = /ALL_CFLAGS = -fPIC /' `find libf2c -name Makefile.in`
# Link libstdc++ against libgcc_s
mkdir libgcc
%ifarch sparc64
mkdir libgcc/32
ln -sf /lib64/libgcc_s.so.1 libgcc/libgcc_s.so
ln -sf /lib/libgcc_s.so.1 libgcc/32/libgcc_s.so
%else
%ifarch sparc
mkdir libgcc/64
ln -sf /lib64/libgcc_s.so.1 libgcc/64/libgcc_s.so
ln -sf /lib/libgcc_s.so.1 libgcc/libgcc_s.so
%else
ln -sf /lib/libgcc_s.so.1 libgcc/libgcc_s.so
%endif
%endif
cp -a libstdc++/Makefile.in libstdc++/Makefile.in.tmp
sed 's@(SHDEPS)@(SHDEPS) -L'`pwd`'/libgcc -lgcc_s@' libstdc++/Makefile.in.tmp > libstdc++/Makefile.in
rm -f libstdc++/Makefile.in.tmp
%ifnarch ia64 ppc
cp -a libgcj/libjava/configure.in libgcj/libjava/configure.in.tmp
sed 's@-lgcc_s@-L'`pwd`'/libgcc -lgcc_s@' libgcj/libjava/configure.in.tmp > libgcj/libjava/configure.in
cp -a libgcj/libjava/configure libgcj/libjava/configure.tmp
sed 's@-lgcc_s@-L'`pwd`'/libgcc -lgcc_s@' libgcj/libjava/configure.tmp > libgcj/libjava/configure
rm -f libgcj/libjava/configure{,.in}.tmp
chmod 755 libgcj/libjava/configure
%endif
# FIX SHF_MERGE stuff so that it uses "aMS" and "aM" instead of "ams" and "am"
perl -pi -e 's/"ams/"aMS/' gcc/configure.in gcc/configure gcc/config/elfos.h gcc/config/alpha/elf.h
perl -pi -e 's/"am/"aM/' gcc/configure.in gcc/configure gcc/config/elfos.h gcc/config/alpha/elf.h
touch gcc/c-parse.{c,h} gcc/cp/parse.h gcc/tradcif.c

%build
rm -fr obj-%{gcc_target_platform}
mkdir obj-%{gcc_target_platform}
cd obj-%{gcc_target_platform}
CC=gcc
OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g' -e 's/-fno-exceptions//g' -e s/-g//`
%ifarch sparc sparc64
OPT_FLAGS=`echo $OPT_FLAGS|sed -e 's/-m64//g' -e 's/-m32//g' -e 's/-mcpu=ultrasparc/-mtune=ultrasparc/g'`
%endif
%ifarch ia64
rm -f ../gcc/ChangeLog*.ia64
# Add -mb-step automatically -- this will go away when production
# hardware is available.
OPT_FLAGS="$OPT_FLAGS -mb-step"
%endif
CC="$CC" CFLAGS="$OPT_FLAGS" CXXFLAGS="$OPT_FLAGS" XCFLAGS="$OPT_FLAGS" \
	TCFLAGS="$OPT_FLAGS" \
	../configure --prefix=%{_prefix} \
	--enable-shared --enable-threads=posix --enable-haifa --disable-checking \
	--host=%{gcc_target_platform} --enable-languages=c,c++
# if RPM_BUILD_NCPUS unset, set it
if [ -z "$RPM_BUILD_NCPUS" ] ; then
  if [ -x /usr/bin/getconf ] ; then
    RPM_BUILD_NCPUS=$(/usr/bin/getconf _NPROCESSORS_ONLN)
    if [ $RPM_BUILD_NCPUS -eq 0 ]; then
      RPM_BUILD_NCPUS=1
    fi
    if [ $RPM_BUILD_NCPUS -gt 4 ]; then
      RPM_BUILD_NCPUS=4
    fi
  else
    RPM_BUILD_NCPUS=1
  fi
fi
%ifarch ppc
RPM_BUILD_NCPUS=1
%endif
touch ../gcc/c-gperf.h
abifile=
%ifarch %{ix86}
abifile=i386-redhat-linux.txt
%endif
%ifarch alpha
abifile=alpha-redhat-linux.txt
%endif
%ifarch ia64
abifile=ia64-redhat-linux.txt
%endif
if [ -n "$abifile" ]; then
  chmod 755 ../libstdc++/config/abi/{extractsym,makestub,makestub2,makeversym}
  ../libstdc++/config/abi/makeversym ../libstdc++/config/abi/$abifile \
    > ../libstdc++/sym_vers.map
  ../libstdc++/config/abi/makestub ../libstdc++/config/abi/$abifile \
    > libstdc++_stub.s
  ../libstdc++/config/abi/makestub2 ../libstdc++/config/abi/$abifile \
    > libstdc++_stub2.s
fi
#make bootstrap-lean
#make -j$RPM_BUILD_NCPUS bootstrap
make CFLAGS=-g %{?jobs:-j%jobs}
# run the tests.
# rpm seems to terminate when make -k check fails.
# make -k check || true
cd ..

%install
rm -fr $RPM_BUILD_ROOT
cd obj-%{gcc_target_platform}/*/libstdc++
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
MYNAME=`echo libstdc++-3-libc*-%{STDC_VERSION}.so`
OTHERNAME=`echo libstdc++-libc*.so.3`
install -m 755 "$MYNAME" $RPM_BUILD_ROOT/%{_libdir}/
ln -sf $MYNAME $RPM_BUILD_ROOT/%{_libdir}/$OTHERNAME
chmod u+w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir %{OPT}
%dir %{_prefix}
%dir %{_prefix}/%{_lib}
%{_prefix}/%{_lib}/libstdc++-3-libc*-%{STDC_VERSION}.so
%{_prefix}/%{_lib}/libstdc++-libc*.so.3

